Bug 885076 - yum fails to resolve dependencies properly when given packages on commandline [NEEDINFO]
Summary: yum fails to resolve dependencies properly when given packages on commandline
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: yum
Version: 6.3
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: rc
: ---
Assignee: Packaging Maintenance Team
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-07 12:49 UTC by Miroslav Hradílek
Modified: 2014-12-15 14:08 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-15 14:08:28 UTC
Target Upstream Version:
james.antill: needinfo?


Attachments (Terms of Use)

Description Miroslav Hradílek 2012-12-07 12:49:57 UTC
Description of problem:
Consider a state where a package is multilib say x86_64 and i686 and only old x86_64 packages are installed. When running yum install 'packagename-*' 'packagename-*.i686' all available packages are installed in both 32 and 64 bit versions. When doing the same using local packages ("yum install packagename-*.rmp") instead of repository, yum claims it's missing some dependent packages even though it got it on the commandline.

Version-Release number of selected component (if applicable):
yum-3.2.29-30.el6.noarch

How reproducible:
Always

Actual results:
Fails to find the package.

Expected results:
Finds the package and resolves dependencies correctly.

Comment 3 RHEL Program Management 2012-12-14 07:01:57 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 4 James Antill 2013-04-15 20:07:08 UTC
 Can you provide all of the output ... the last UI messages are known "bad" in this case, as they are just looking up data from the repos.

Comment 5 RHEL Program Management 2013-10-14 00:11:12 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.

Comment 6 Valentina Mukhamedzhanova 2014-12-15 14:08:28 UTC
As there seems to be no new information on this bug, I'm closing it.


Note You need to log in before you can comment on or make changes to this bug.